Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596360 - regenerate applicability of a consumer takes many minutes
Summary: regenerate applicability of a consumer takes many minutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.3.1
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1596341 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 16:46 UTC by Mike McCune
Modified: 2019-04-01 20:27 UTC (History)
28 users (show)

Fixed In Version: pulp-rpm-2.16.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1573892
Environment:
Last Closed: 2018-10-16 19:10:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 3172 Normal CLOSED - CURRENTRELEASE Celery worker consumes large number of memory when regenerating applicability for a consumer that binds to many reposito... 2018-07-09 15:07:12 UTC
Pulp Redmine 3795 Normal CLOSED - CURRENTRELEASE Errata are not shown as applicable if epoch info is absent in pkglist 2018-07-09 15:05:40 UTC

Comment 3 pulp-infra@redhat.com 2018-06-28 17:16:31 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2018-06-28 17:16:39 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2018-06-28 17:17:10 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2018-06-28 17:17:17 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 7 Eric Helms 2018-07-03 16:20:58 UTC
*** Bug 1596341 has been marked as a duplicate of this bug. ***

Comment 9 pulp-infra@redhat.com 2018-07-09 15:05:41 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2018-07-09 15:07:13 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 11 Roman Plevka 2018-07-30 13:20:16 UTC
FailedQA

for 6.4.0-14

# rpm -qa |grep discovery
tfm-rubygem-hammer_cli_foreman_discovery-1.0.0-2.el7sat.noarch
tfm-rubygem-foreman_discovery-12.0.1-1.el7sat.noarch
foreman-discovery-image-3.4.4-1.el7sat.noarch
rubygem-smart_proxy_discovery-1.0.4-1.el7sat.noarch

- the commit does not seem to be present at all. Packaging issue?

Comment 12 pulp-infra@redhat.com 2018-07-30 13:33:44 UTC
Requesting needsinfo from upstream developer ttereshc@redhat.com because the 'FailedQA' flag is set.

Comment 13 pulp-infra@redhat.com 2018-07-30 13:34:00 UTC
Requesting needsinfo from upstream developer ttereshc@redhat.com because the 'FailedQA' flag is set.

Comment 14 Mike McCune 2018-07-30 13:59:09 UTC
Roman, 

this bug has nothing to do with discovery, not sure what you are referencing above.

That said, this bug definitely needs additional work, see my private comments on the 6.3.z bug here:

https://bugzilla.redhat.com/show_bug.cgi?id=1573892#c64

Comment 20 Bryan Kearney 2018-10-16 19:10:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.